const fs = require('fs')
const path = require('path')
const beautify = require('js-beautify').js_beautify
const config = require('./manifest.json');


const writeVersion = () => new Promise((resolve, reject) => {
  const {h5, versionName} = config;
  const env = process.argv.slice(2)[0];

  h5.publicPath = `https://dbc-static.oss-cn-beijing.aliyuncs.com/dbc-shop/uni/${env}/${versionName}/`;
  
  fs.writeFile(path.join(__dirname, 'manifest.json'), beautify(JSON.stringify(config), {indent_size: 2}), (err) => {
    if (err) {
      reject()
    }
    resolve()
    console.log(`version: ${config.versionName}`)
  })
})

const start = async () => {
  await writeVersion();
}

start();